### Method

# Goa Object get_files

since: 3.8.0

#### Declaration [src]

    GoaFiles*
    goa_object_get_files (
      GoaObject* object
    )

#### Description [src]

Gets the `GoaFiles` instance for the D-Bus interface org.gnome.OnlineAccounts.Files on `object`, if any.

Available since: 3.8.0

Gets property | `Goa.Object:files`

#### Return value

Type: `GoaFiles`

A `GoaFiles` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.